html, body {
  height: 100%;
  position: relative;
}

input {
  outline: none;

  &[type=text],
  &[type=password],
  &[type=number],
  &[type=date] {
    width: 100%;
    display: block;
    padding: 14px;
    font-size: 14px;
    border-radius: 4px;
    text-align: left;
    border: 1px solid #ececec;
    box-shadow: 6px 0 43px rgba(131,131,131,.13);
    transition: all .3s;
    background: #fff;
  }

  &[type=button] {
    outline: none !important;
  }
}

select,
textarea {
  outline: none;
  width: 100%;
  display: block;
  padding: 14px;
  font-size: 14px;
  border-radius: 4px;
  text-align: left;
  border: 1px solid #ececec;
  box-shadow: 6px 0 43px rgba(131,131,131,.13);
  transition: all .3s;
  background: #fff;
}

.text-custom {
  &.primary {
    color: #e83e8c !important;
  }
  &.secondary {
    color: #312450 !important;
  }
}

.btn-custom {
  outline: none !important;
  padding: 13px;
  background: #f8f9fb;
  background: linear-gradient(65deg,#FF4D79 0,#FF809F 100%);
  box-shadow: 0 8px 16px rgba(255,77,121,.25);
  color: #fff !important;
  font-size: 14px;
  font-weight: 400;
  border-radius: 4px;
  transition: all .2s linear;
  border: 0;

  &.sm {
    padding: 8px 30px;
    font-size: 10px;
  }

  &.btn-capsule-custom {
    border-radius: 50px;

    &.pointer {
      cursor: pointer;
    }

  }

  &:disabled {
    opacity: 0.3;
    cursor: not-allowed;
  }

  &:hover {
    box-shadow: 0 8px 16px rgba(255,77,121,.4);
  }
}

.card-custom {
  box-shadow: 0 1px 10px #e3e7eb;
  padding: 30px;
  background-color: #FFF !important;

  .card-title {
    position: relative;
    margin-bottom: 30px;

    &:after {
      content: '';
      width: 100%;
      height: 1px;
      position: absolute;
      left: 0;
      bottom: -30px;
      background-color: #EEE;
      box-shadow: 0 1px 10px #e3e7eb;
    }
  }

  .card-body {
    padding: 30px 0;
  }
}

.tag-input {
  width: 100%;
  display: block;
  padding: 14px;
  font-size: 14px;
  border-radius: 4px;
  text-align: left;
  border: 1px solid #ececec;
  box-shadow: 6px 0 43px rgba(131,131,131,.13);
  transition: all .3s;
  background: #fff;

  input {
    outline: none;

    &[type=text],
    &[type=color] {
      width: 100%;
      display: block;
      padding: 8px;
      text-align: left;
      border: none !important;
      box-shadow: none !important;
      background: #fff;
    }
  }

  .input {
    position: relative;

    &:after {
      content: '';
      width: 100%;
      height: 1px;
      position: absolute;
      left: 0;
      bottom: 0px;
      background-color: #EEE;
      box-shadow: 0 1px 10px #e3e7eb;
    }

    input{
      &[type=color] {
        height: 37px;
      }
    }
  }

  .tag-list {
    display: flex;
    flex-direction: row;
    padding: 6px 0;
    flex-wrap: wrap;

    .tags {
      cursor: pointer;
      margin: 4px 2px;
      position: relative;

      &:hover {

        &.close-icon {
          font-weight: bold;
        }
      }

      .close-icon {
        position: absolute;
        top: 28%;
        left: 5px;
        bottom: 0;
        width: 20px;
      }

    }

    .colors {
      padding: 8px 30px;
      cursor: pointer;
      margin: 4px 2px;
      position: relative;
      box-shadow: 0 1px 10px #e3e7eb;

      &:hover {

        &.close-icon {
          font-weight: bold;
        }
      }

      .close-icon {
        position: absolute;
        top: 28%;
        left: 5px;
        bottom: 0;
        width: 20px;
      }

    }
  }

}

.image-input {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  min-height: 100px;
  padding: 14px;
  font-size: 14px;
  border-radius: 4px;
  text-align: left;
  border: 1px solid #ececec;
  box-shadow: 6px 0 43px rgba(131,131,131,.13);
  transition: all .3s;
  background: #fff;

  .btn-image {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    font-size: 25px;
    height: 100px;
    width: 100px;
    box-shadow: 6px 0 43px rgba(131,131,131,.13);
    border: 1px solid #ececec;
    border-radius: 6px;
    margin: 4px 2px;
    transition: 0.5s all;

    &:hover {
      box-shadow: 6px 0 43px rgba(131,131,131,.4);
    }
  }

  .image-item {
    cursor: pointer;
    position: relative;
    max-height: 100px;
    width: 100px;
    box-shadow: 6px 0 43px rgba(131,131,131,.13);
    border: 1px solid #ececec;
    border-radius: 6px;
    margin: 4px 2px;
    transition: 0.5s all;
    padding: 8px;

    &.selected {
      border: 1px solid rgba(255,77,121,.25);
    }

    &:hover {
      box-shadow: 6px 0 43px rgba(131,131,131,.4);
    }

    .close-icon {
      color: red;
      font-weight: bold;
      position: absolute;
      top: 0;
      right: 0;
      width: 20px;
    }
  }

}


/* ---------------------------------------------------- */

div.spinner-container {
  height: 100%;
  flex-direction: row;
  box-sizing: border-box;
  display: flex;
  max-height: 100%;
  place-content: stretch center;
  align-items: stretch;
}

div.spinner-inner {
  flex: 1 1 100%;
  box-sizing: border-box;
  max-width: 20%;
  width: 15%;
  align-self: center;
}

.spinner {
  margin: 100px auto;
  width: 40px;
  height: 40px;
  position: relative;
}

/*!
 * Load Awesome v1.1.0 (http://github.danielcardoso.net/load-awesome/)
 * Copyright 2015 Daniel Cardoso <@DanielCardoso>
 * Licensed under MIT
 */
.la-timer,
.la-timer > div {
  position: relative;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.la-timer {
  display: block;
  font-size: 0;
  color: #fff;
}
.la-timer.la-dark {
  color: #333;
}
.la-timer > div {
  display: inline-block;
  float: none;
  background-color: currentColor;
  border: 0 solid currentColor;
}
.la-timer {
  width: 32px;
  height: 32px;
}
.la-timer > div {
  width: 32px;
  height: 32px;
  background: transparent;
  border-width: 2px;
  border-radius: 100%;
}
.la-timer > div:before,
.la-timer > div:after {
  position: absolute;
  top: 14px;
  left: 14px;
  display: block;
  width: 2px;
  margin-top: -1px;
  margin-left: -1px;
  content: "";
  background: currentColor;
  border-radius: 2px;
  -webkit-transform-origin: 1px 1px 0;
  -moz-transform-origin: 1px 1px 0;
  -ms-transform-origin: 1px 1px 0;
  -o-transform-origin: 1px 1px 0;
  transform-origin: 1px 1px 0;
  -webkit-animation: timer-loader 1250ms infinite linear;
  -moz-animation: timer-loader 1250ms infinite linear;
  -o-animation: timer-loader 1250ms infinite linear;
  animation: timer-loader 1250ms infinite linear;
  -webkit-animation-delay: -625ms;
  -moz-animation-delay: -625ms;
  -o-animation-delay: -625ms;
  animation-delay: -625ms;
}
.la-timer > div:before {
  height: 12px;
}
.la-timer > div:after {
  height: 8px;
  -webkit-animation-duration: 15s;
  -moz-animation-duration: 15s;
  -o-animation-duration: 15s;
  animation-duration: 15s;
  -webkit-animation-delay: -7.5s;
  -moz-animation-delay: -7.5s;
  -o-animation-delay: -7.5s;
  animation-delay: -7.5s;
}
.la-timer.la-sm {
  width: 16px;
  height: 16px;
}
.la-timer.la-sm > div {
  width: 16px;
  height: 16px;
  border-width: 1px;
}
.la-timer.la-sm > div:before,
.la-timer.la-sm > div:after {
  top: 7px;
  left: 7px;
  width: 1px;
  margin-top: -.5px;
  margin-left: -.5px;
  border-radius: 1px;
  -webkit-transform-origin: .5px .5px 0;
  -moz-transform-origin: .5px .5px 0;
  -ms-transform-origin: .5px .5px 0;
  -o-transform-origin: .5px .5px 0;
  transform-origin: .5px .5px 0;
}
.la-timer.la-sm > div:before {
  height: 6px;
}
.la-timer.la-sm > div:after {
  height: 4px;
}
.la-timer.la-2x {
  width: 64px;
  height: 64px;
}
.la-timer.la-2x > div {
  width: 64px;
  height: 64px;
  border-width: 4px;
}
.la-timer.la-2x > div:before,
.la-timer.la-2x > div:after {
  top: 28px;
  left: 28px;
  width: 4px;
  margin-top: -2px;
  margin-left: -2px;
  border-radius: 4px;
  -webkit-transform-origin: 2px 2px 0;
  -moz-transform-origin: 2px 2px 0;
  -ms-transform-origin: 2px 2px 0;
  -o-transform-origin: 2px 2px 0;
  transform-origin: 2px 2px 0;
}
.la-timer.la-2x > div:before {
  height: 24px;
}
.la-timer.la-2x > div:after {
  height: 16px;
}
.la-timer.la-3x {
  width: 96px;
  height: 96px;
}
.la-timer.la-3x > div {
  width: 96px;
  height: 96px;
  border-width: 6px;
}
.la-timer.la-3x > div:before,
.la-timer.la-3x > div:after {
  top: 42px;
  left: 42px;
  width: 6px;
  margin-top: -3px;
  margin-left: -3px;
  border-radius: 6px;
  -webkit-transform-origin: 3px 3px 0;
  -moz-transform-origin: 3px 3px 0;
  -ms-transform-origin: 3px 3px 0;
  -o-transform-origin: 3px 3px 0;
  transform-origin: 3px 3px 0;
}
.la-timer.la-3x > div:before {
  height: 36px;
}
.la-timer.la-3x > div:after {
  height: 24px;
}
/*
 * Animation
 */
@-webkit-keyframes timer-loader {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes timer-loader {
  0% {
    -moz-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -moz-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes timer-loader {
  0% {
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes timer-loader {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.blur {
  -webkit-filter: blur(2px);
  -moz-filter: blur(2px);
  -o-filter: blur(2px);
  -ms-filter: blur(2px);
  filter: blur(2px);
}
